function drawBackground()
	--check if bgTiles exists
	x = true
	for i, bgTile in pairs(bgTiles) do
		x = false
	end
	
	--gen bgTiles
	x1 = -80
	y1 = -80
	while x do
		newBG = {x = x1, y = y1, light = 0} table.insert(bgTiles, newBG)
		if x1 < 1280+80 then
			x1 = x1 + 40
		else
			y1 = y1 + 40
			x1 = 0
		end
		if y1 > 720+80 then
			x = false
		end
	end
	
	--set light intensity
	for i, bgTile in pairs(bgTiles) do
		if bgTile.x < border.x + border.width - 1 and bgTile.x > border.x - border.width - 1 and bgTile.y > border.y - border.height - 1 and bgTile.y < border.y + border.height - 1 then
			bgTile.light = getDistance(player.x,player.y,bgTile.x+20,bgTile.y+20)/35
		end
	end
	
	
	--draw bgTiles
	for i, bgTile in pairs(bgTiles) do
		if bgTile.x < border.x + border.width - 1 and bgTile.x > border.x - border.width - 1 and bgTile.y > border.y - border.height - 1 and bgTile.y < border.y + border.height - 1 then --check if inside borders
			love.graphics.setColor(30,30,40+bgTile.light)
			love.graphics.rectangle('fill',bgTile.x,bgTile.y,40,40)
			love.graphics.setColor(20,20,25+bgTile.light)
			love.graphics.rectangle('fill',bgTile.x+2,bgTile.y+2,40-2,40-2)
		else	--not inside borders
			love.graphics.setColor(12,12,12)
			love.graphics.rectangle('fill',bgTile.x,bgTile.y,40,40)
			love.graphics.setColor(20,20,25)
			love.graphics.rectangle('fill',bgTile.x+2,bgTile.y+2,40-2,40-2)
		end
	end
	
	--draw borders
	love.graphics.setColor(0,0,255)
	love.graphics.rectangle('line',border.x-border.width,border.y-border.height,border.width*2,border.height*2)
	
	
end