function updateUnlocks()
	--create saves if none exist
	if love.filesystem.exists("smuggler.txt") == false or love.filesystem.exists("blacksmith.txt") == false or love.filesystem.exists("berserker.txt") == false or love.filesystem.exists("gambler.txt") == false then
		love.filesystem.newFile("smuggler.txt")
		love.filesystem.newFile("blacksmith.txt")
		love.filesystem.newFile("berserker.txt")
		love.filesystem.newFile("gambler.txt")
		
		love.filesystem.write("smuggler.txt",0)
		love.filesystem.write("blacksmith.txt",0)
		love.filesystem.write("berserker.txt",0)
		love.filesystem.write("gambler.txt",0)
		
		print("no save data found. Writing new files...")
	end
	
	--set unlocks based on save info
	if unlocks.started == false then
		unlocks.started = true
		
		unlocks.smuggler = love.filesystem.read("smuggler.txt")
		unlocks.smuggler = tonumber(unlocks.smuggler)
		
		unlocks.blacksmith = love.filesystem.read("blacksmith.txt")
		unlocks.blacksmith = tonumber(unlocks.blacksmith)
		
		unlocks.berserker = love.filesystem.read("berserker.txt")
		unlocks.berserker = tonumber(unlocks.berserker)
		
		unlocks.gambler = love.filesystem.read("gambler.txt")
		unlocks.gambler = tonumber(unlocks.gambler)
		
		print("unlock save info: "..unlocks.smuggler.." "..unlocks.blacksmith.." "..unlocks.berserker.." "..unlocks.gambler)
		
	end
	
	
	--unlocking new characters
	if wave.current > 10 and unlocks.blacksmith == 0 then	--unlock blacksmith
		love.filesystem.write("blacksmith.txt",1)
		unlocks.started = false
		unlocks.textAlpha = 1000
	end
	if cardLevel.health == 5 or cardLevel.speed == 5 or cardLevel.damage == 5 or cardLevel.firerate == 5 or cardLevel.border == 5 or cardLevel.poison == 5 or cardLevel.armor == 5 or cardLevel.bulletSpeed == 5 then	--unlock smuggler
		if unlocks.smuggler == 0 then
			love.filesystem.write("smuggler.txt",1)
			unlocks.started = false
			unlocks.textAlpha = 1000
		end
	end
	if unlocks.berserker == 0 and unlocks.killCount > 450-1 then	--unlock berserker
		love.filesystem.write("berserker.txt",1)
		unlocks.started = false
		unlocks.textAlpha = 1000
	end
	if wave.current > 20 and unlocks.gambler == 0 then	--unlock gambler
		love.filesystem.write("gambler.txt",1)
		unlocks.started = false
		unlocks.textAlpha = 1000
	end
	
	
end