function updateEnemies()
	for i, enemy in pairs(enemies) do
		--set enemy stats
		if enemy.id == 1 and enemy.health == nil then
			enemy.speed = 260
			enemy.health = 50
			enemy.name = "grunt"
		end
		if enemy.id == 2 and enemy.health == nil then
			enemy.speed = 300
			enemy.health = 80
			enemy.name = "spectre"
		end
		if enemy.id == 3 and enemy.health == nil then
			enemy.speed = 200
			enemy.health = 75
			enemy.timer = 0
			enemy.name = "archer"
		end
		if enemy.id == 4 and enemy.health == nil then
			enemy.speed = 175
			enemy.health = 125
			enemy.timer = 0
			enemy.name = "sprinkler"
		end
		if enemy.id == 5 and enemy.health == nil then
			enemy.speed = 210
			enemy.health = 125
			enemy.timer = 0
			enemy.name = "hunter"
		end
		if enemy.id == 6 and enemy.health == nil then
			enemy.speed = player.speed*1.15
			enemy.health = 2500
			enemy.timer = 0
			enemy.count = 0
			enemy.particleTimer = 0
			enemy.name = "poltergeist"
		end
		if enemy.id == 7 and enemy.health == nil then
			enemy.speed = 150
			enemy.health = 75
			enemy.timer = 0
			enemy.name = "summoner"
		end
		if enemy.id == 8 and enemy.health == nil then
			enemy.speed = 400
			enemy.health = 25
			enemy.name = "ghoul"
		end
		
		--set enemy id
		if enemy.ids == nil then
			enemy.ids = math.random(1,1000000)
		end
		
		--poison timer
		if enemy.poisonTimer == nil then
			enemy.poisonTimer = 0
		end
		
		--update enemy.hit stuff
		if enemy.hit == nil or enemy.hit < 0 then
			enemy.hit = 0
		end
		enemy.hit = enemy.hit - (6*hdt)
		
		
		--move enemies
		enemy.px = enemy.x
		enemy.py = enemy.y
		
		enemy.x = enemy.x - (((enemy.x - player.x) * hdt)/getDistance(player.x,player.y,enemy.x,enemy.y)*enemy.speed)
		enemy.y = enemy.y - (((enemy.y - player.y) * hdt)/getDistance(player.x,player.y,enemy.x,enemy.y)*enemy.speed)
		
		--collision with other enemies/player
		for j, enemy2 in pairs(enemies) do
			if enemy.id > 2 or enemy.id < 2 then
				if enemy.id > 6 or enemy.id < 6 then
					if enemy.id > 8 or enemy.id < 8 then
						if getDistance(enemy.x,enemy.y,enemy2.x,enemy2.y) < 40 or getDistance(enemy.x,enemy.y,player.x,player.y) < 40 then
							if enemy.ids < enemy2.ids or enemy.ids > enemy2.ids then
								enemy.x = enemy.px
								enemy.y = enemy.py
							end
						end
					end
				end
			end
		end
		
		--spectre/poltergeist collision
		for j, enemy2 in pairs(enemies) do
			if enemy.id == 2 and enemy2.id == 2 or enemy.id == 6 and enemy2.id == 6 or enemy.id == 8 and enemy2.id == 8 then
				if getDistance(enemy.x,enemy.y,enemy2.x,enemy2.y) < 40 or getDistance(enemy.x,enemy.y,player.x,player.y) < 40 then
					if enemy.ids < enemy2.ids or enemy.ids > enemy2.ids then
						enemy.x = enemy.px
						enemy.y = enemy.py
					end
				end
			end
		end
		
		--collision with bullets
		for j, bullet in pairs(bullets) do
			if getDistance(bullet.x,bullet.y,enemy.x,enemy.y) < 25 and bullet.friendly then
				spark(1,bullet.x,bullet.y,250,1,0.3,5)
				playS(a_hit)
				table.remove(bullets, j)
				if menu.character == 5 and player.health < (player.maxHealth/4) then	--set double damage for berserker
					enemy.health = enemy.health - (bullet.damage*2)
				elseif menu.character == 4 and player.armor > 1 then		--set extra damage for blacksmith
					enemy.health = enemy.health - (bullet.damage*1.75)
				else
					enemy.health = enemy.health - bullet.damage
				end
				enemy.poisonTimer = weapon.poisonTime
				enemy.hit = 1
			end
		end
		
		--kill enemy
		if enemy.health < 0.1 then
			unlocks.killCount = unlocks.killCount + 1
			
			--spark when killed
			if enemy.id == 1 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"red")
			elseif enemy.id == 2 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"blue")
			elseif enemy.id == 3 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"orange")
			elseif enemy.id == 4 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"yellow")
			elseif enemy.id == 5 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"pink")
			elseif enemy.id == 6 then
				spark(1,enemy.x,enemy.y,500,1,1,50,"white")
			elseif enemy.id == 7 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"red")
			elseif enemy.id == 8 then
				spark(1,enemy.x,enemy.y,500,1,0.25,20,"purple")
			end
			
			if enemy.poisonTimer > 0 and enemy.hit < 0.5 then
				spark(3,enemy.x,enemy.y,10,3,0.4,3,"n/a")
			end
			
			table.remove(enemies, i)
		end
		
		
		--damage player
		if enemy.id == 1 then
			if getDistance(player.x,player.y,enemy.x,enemy.y) < 45 then
				player.health = player.health - (20*hdt)
			end
		end
		if enemy.id == 2 then
			if getDistance(player.x,player.y,enemy.x,enemy.y) < 45 then
				player.health = player.health - (10*hdt)
			end
		end
		if enemy.id == 7 then
			if getDistance(player.x,player.y,enemy.x,enemy.y) < 45 then
				player.health = player.health - (5*hdt)
			end
		end
		if enemy.id == 8 then
			if getDistance(player.x,player.y,enemy.x,enemy.y) < 45 then
				player.health = player.health - (15*hdt)
			end
		end
		
		--poison damage
		if enemy.poisonTimer > 0 then
			enemy.health = enemy.health - (weapon.damage/5*hdt)
		else
			enemy.poisonTimer = enemy.poisonTimer - hdt
		end
		
		--enemies shooting
		if enemy.id == 3 and enemy.timer > 0.9 then
			enemy.timer = 0
			xd = -((enemy.x - player.x) / getDistance(enemy.x,enemy.y,player.x,player.y))
			yd = -((enemy.y - player.y) / getDistance(enemy.x,enemy.y,player.x,player.y))
			
			newBullet = {x = enemy.x, y = enemy.y, xdir = xd, ydir = yd, speed = 600, damage = 12, friendly = false, color = "orange"} table.insert(bullets,newBullet)
		elseif enemy.id == 3 then
			enemy.timer = enemy.timer + hdt
		end
		
		if enemy.id == 4 and enemy.timer > 1.8 then
			enemy.timer = 0
			
			newBullet = {x = enemy.x, y = enemy.y, xdir = 1, ydir = 0, speed = 1300, damage = 12, friendly = false, color = "yellow"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = -1, ydir = 0, speed = 1300, damage = 12, friendly = false, color = "yellow"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = 0, ydir = 1, speed = 1300, damage = 12, friendly = false, color = "yellow"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = 0, ydir = -1, speed = 1300, damage = 12, friendly = false, color = "yellow"} table.insert(bullets,newBullet)
		elseif enemy.id == 4 then
			enemy.timer = enemy.timer + hdt
		end
		
		if enemy.id == 5 and enemy.timer > 1 then
			enemy.timer = 0
			xd = -((enemy.x - player.x) / getDistance(enemy.x,enemy.y,player.x,player.y))
			yd = -((enemy.y - player.y) / getDistance(enemy.x,enemy.y,player.x,player.y))
			
			newBullet = {x = enemy.x, y = enemy.y, xdir = xd, ydir = yd, speed = 20, damage = 10, friendly = false, color = "pink", homing = true} table.insert(bullets,newBullet)
		elseif enemy.id == 5 then
			enemy.timer = enemy.timer + hdt
		end
		
		if enemy.id == 6 and enemy.timer > 4 then
			enemy.speed = 25
			enemy.timer = 3.6
			enemy.count = enemy.count + 1
			
			newBullet = {x = enemy.x, y = enemy.y, xdir = 1, ydir = 0, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = -1, ydir = 0, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = 0, ydir = 1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = 0, ydir = -1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			
			newBullet = {x = enemy.x, y = enemy.y, xdir = 1, ydir = 1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = -1, ydir = -1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = -1, ydir = 1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			newBullet = {x = enemy.x, y = enemy.y, xdir = 1, ydir = -1, speed = 700, damage = 7.5, friendly = false, color = "white"} table.insert(bullets,newBullet)
			
			if enemy.count == 5 or enemy.count == 10 or enemy.count == 15 or enemy.count == 20 then
				newBullet = {x = enemy.x, y = enemy.y, xdir = -1, ydir = 0, speed = 20, damage = 8, friendly = false, homing = true, color = "grey"} table.insert(bullets,newBullet)
				newBullet = {x = enemy.x, y = enemy.y, xdir = 1, ydir = 0, speed = 20, damage = 8, friendly = false, homing = true, color = "grey"} table.insert(bullets,newBullet)
			end
		elseif enemy.id == 6 and enemy.count > 12 then
			enemy.timer = 0
			enemy.count = 0
			enemy.speed = player.speed*1.15
		end
		if enemy.id == 6 then
			enemy.timer = enemy.timer + hdt
		end
		
		--summoning
		if enemy.id == 7 and enemy.timer > 5 and getDistance(enemy.x,enemy.y,player.x,player.y) < 2200 and getGhoulCount() < 20 then
			enemy.timer = 0
			
			newEnemy = {x = enemy.x, y = enemy.y, id = 8, ids = enemy.ids} table.insert(enemies,newEnemy)
		elseif enemy.id == 7 then
			enemy.timer = enemy.timer + hdt
		end
		
		
		--remove enemies when outside of borders for too long
		if enemy.x > border.x + border.width or enemy.x < border.x - border.width or enemy.y > border.y + border.height or enemy.y < border.y - border.height then
			if enemy.deathTimer == nil then
				enemy.deathTimer = 25
			end
			enemy.deathTimer = enemy.deathTimer - hdt
			if enemy.deathTimer < 0 then
				table.remove(enemies,i)
			end
		end
		
		--remove enemies that are stuck in eachother
		for i, enemy2 in pairs(enemies) do
			if getDistance(enemy.x,enemy.y,enemy2.x,enemy2.y) < 50 and getDistance(enemy.x,enemy.y,enemy2.x,enemy2.y) > 60 then
				table.remove(enemies,i)
			end
		end
		
	end
end