function updatePlayer()
	--check borders
	col = {blockUp = false, blockDown = false, blockLeft = false, blockRight = false}
	if player.x + 20 > border.x + border.width then
		col.blockRight = true
	end
	if player.x - 20 < border.x - border.width then
		col.blockLeft = true
	end
	if player.y - 20 < border.y - border.height then
		col.blockUp = true
	end
	if player.y + 20 > border.y + border.height then
		col.blockDown = true
	end
	
	--check bullet collision
	for i, bullet in pairs(bullets) do
		if bullet.friendly == false and getDistance(bullet.x,bullet.y,player.x,player.y) < 26 then
			table.remove(bullets,i)
			player.health = player.health - bullet.damage
		end
	end
	
	--health to armor conversion
	while player.health < player.maxHealth and player.armor > 0 do
		player.armor = player.armor - 0.1
		player.health = player.health + 0.1
	end

	
	--cap armor
	if player.armor > player.maxHealth then
		player.armor = player.maxHealth
	end
	
	--lock mouse to screen if in fullscreen
	if mouse.x > 1280 then
		mouse.x = 1280
	end
	if mouse.y > 720 then
		mouse.y = 720
	end
	
	--gameover stuff
	if player.health < 1 then
		player.speed = 0
		player.health = 0
		for i, bullet in pairs(bullets) do
			if bullet.friendly then
				table.remove(bullets,i)
			end
		end
	end
	
end